Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.modules.generators
Class Jdk12Interceptor

    java.lang.Object
      org.apache.tomcat.core.BaseInterceptor
          org.apache.tomcat.modules.generators.Jdk12Interceptor

public final class Jdk12Interceptor
extends BaseInterceptor

JDK1.2 specific options. Fix the class loader, etc.

Field Summary

Fields inherited from class org.apache.tomcat.core.BaseInterceptor
`ct, ctx, DECLINED, loghelper, OK`

Constructor Summary
`Jdk12Interceptor()`

Method Summary
`int` | `postInitCheck(Request req, Handler sw)`
`int` | `postService(Request request, Response response)` Called after service method ends.
`void` | `postServletDestroy(Context ctx, Handler sw)`
`void` | `postServletInit(Context ctx, Handler sw)`
`int` | `preInitCheck(Request req, Handler sw)` Setup before calling init.
`int` | `preService(Request request, Response response)` Called before service method is invoked.
`void` | `preServletDestroy(Context ctx, Handler sw)` Servlet Destroy notification
`void` | `preServletInit(Context ctx, Handler sw)` Servlet Init notification

Methods inherited from class org.apache.tomcat.core.BaseInterceptor
`addContainer, addContext, addHandler, addInterceptor, addSecurityConstraint, afterBody, authenticate, authorize, beforeBody, beforeCommit, contextInit, contextMap, contextShutdown, contextState, copyContext, engineInit, engineShutdown, engineStart, engineState, engineStop, findSession, getContext, getContextManager, getDebug, getInfo, getLog, getNote, getNote, handleError, log, log, log, log, postReadRequest, postRequest, registerHooks, reload, removeContainer, removeContext, removeHandler, removeInterceptor, requestMap, sessionState, setContext, setContextManager, setDebug, setInfo, setNote, setNote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jdk12Interceptor

    public Jdk12Interceptor()

Method Detail

### preServletInit

    public void preServletInit(Context ctx,
                               Handler sw)
                        throws TomcatException

  Description copied from class: `BaseInterceptor`
  Servlet Init notification

  Overrides:
    `preServletInit` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### preInitCheck

    public int preInitCheck(Request req,
                            Handler sw)
                     throws TomcatException

  Description copied from class: `BaseInterceptor`
  Setup before calling init.

  Overrides:
    `preInitCheck` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### preServletDestroy

    public void preServletDestroy(Context ctx,
                                  Handler sw)
                           throws TomcatException

  Servlet Destroy notification

  Overrides:
    `preServletDestroy` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### postServletDestroy

    public void postServletDestroy(Context ctx,
                                   Handler sw)
                            throws TomcatException

  Overrides:
    `postServletDestroy` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### postServletInit

    public void postServletInit(Context ctx,
                                Handler sw)
                         throws TomcatException

  Overrides:
    `postServletInit` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### postInitCheck

    public int postInitCheck(Request req,
                             Handler sw)
                      throws TomcatException

  Overrides:
    `postInitCheck` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### preService

    public int preService(Request request,
                          Response response)

  Called before service method is invoked.

  Overrides:
    `preService` in class `BaseInterceptor`

### postService

    public int postService(Request request,
                           Response response)

  Description copied from class: `BaseInterceptor`
  Called after service method ends. Log is a particular use.

  Overrides:
    `postService` in class `BaseInterceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.